libgweather r162 - in trunk: . data
- From: vuntz svn gnome org
- To: svn-commits-list gnome org
- Subject: libgweather r162 - in trunk: . data
- Date: Thu, 10 Apr 2008 20:08:10 +0100 (BST)
Author: vuntz
Date: Thu Apr 10 20:08:10 2008
New Revision: 162
URL: http://svn.gnome.org/viewvc/libgweather?rev=162&view=rev
Log:
2008-04-10 Vincent Untz <vuntz gnome org>
* data/check-timezones.sh: portability fix to also work on Solaris
Modified:
trunk/ChangeLog
trunk/data/check-timezones.sh
Modified: trunk/data/check-timezones.sh
==============================================================================
--- trunk/data/check-timezones.sh (original)
+++ trunk/data/check-timezones.sh Thu Apr 10 20:08:10 2008
@@ -1,11 +1,22 @@
#!/bin/sh
+if test -f /usr/share/zoneinfo/zone.tab; then
+ tzdb=/usr/share/zoneinfo/zone.tab
+else
+ if test -f /usr/share/lib/zoneinfo/tab/zone_sun.tab; then
+ tzdb=/usr/share/lib/zoneinfo/tab/zone_sun.tab
+ else
+ echo "No timezone database found"
+ exit 1
+ fi
+fi
+
locations=${1:-Locations.xml.in}
used=`mktemp`
correct=`mktemp`
sed -ne 's/.*<tz-hint>\(.*\)<.*/\1/p' $locations | sort -u > $used
-awk '{print $3;}' /usr/share/zoneinfo/zone.tab | sort -u > $correct
+awk '{print $3;}' $tzdb | sort -u > $correct
bad=`comm -13 $correct $used`
rm $correct $used
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]